public class ResourcesApi extends Object
| Constructor and Description |
|---|
ResourcesApi() |
ResourcesApi(ApiClient apiClient) |
| Modifier and Type | Method and Description |
|---|---|
ApiClient |
getApiClient() |
void |
setApiClient(ApiClient apiClient) |
Resource |
showResource(String account,
String kind,
String identifier)
Shows a description of a single resource.
|
Resource |
showResource(String account,
String kind,
String identifier,
Boolean permittedRoles,
String privilege,
Boolean check,
String role,
String xRequestId)
Shows a description of a single resource.
|
okhttp3.Call |
showResourceAsync(String account,
String kind,
String identifier,
Boolean permittedRoles,
String privilege,
Boolean check,
String role,
String xRequestId,
ApiCallback<Resource> _callback)
Shows a description of a single resource.
|
okhttp3.Call |
showResourceCall(String account,
String kind,
String identifier,
Boolean permittedRoles,
String privilege,
Boolean check,
String role,
String xRequestId,
ApiCallback _callback)
Build call for showResource
|
List<Resource> |
showResourcesForAccount(String account)
Lists resources within an organization account.
|
List<Resource> |
showResourcesForAccount(String account,
String kind,
String search,
Integer offset,
Integer limit,
Boolean count,
String role,
String actingAs,
String xRequestId)
Lists resources within an organization account.
|
okhttp3.Call |
showResourcesForAccountAsync(String account,
String kind,
String search,
Integer offset,
Integer limit,
Boolean count,
String role,
String actingAs,
String xRequestId,
ApiCallback<List<Resource>> _callback)
Lists resources within an organization account.
|
okhttp3.Call |
showResourcesForAccountCall(String account,
String kind,
String search,
Integer offset,
Integer limit,
Boolean count,
String role,
String actingAs,
String xRequestId,
ApiCallback _callback)
Build call for showResourcesForAccount
|
ApiResponse<List<Resource>> |
showResourcesForAccountWithHttpInfo(String account)
Lists resources within an organization account.
|
ApiResponse<List<Resource>> |
showResourcesForAccountWithHttpInfo(String account,
String kind,
String search,
Integer offset,
Integer limit,
Boolean count,
String role,
String actingAs,
String xRequestId)
Lists resources within an organization account.
|
List<Resource> |
showResourcesForAllAccounts()
Lists resources within an organization account.
|
List<Resource> |
showResourcesForAllAccounts(String account,
String kind,
String search,
Integer offset,
Integer limit,
Boolean count,
String role,
String actingAs,
String xRequestId)
Lists resources within an organization account.
|
okhttp3.Call |
showResourcesForAllAccountsAsync(String account,
String kind,
String search,
Integer offset,
Integer limit,
Boolean count,
String role,
String actingAs,
String xRequestId,
ApiCallback<List<Resource>> _callback)
Lists resources within an organization account.
|
okhttp3.Call |
showResourcesForAllAccountsCall(String account,
String kind,
String search,
Integer offset,
Integer limit,
Boolean count,
String role,
String actingAs,
String xRequestId,
ApiCallback _callback)
Build call for showResourcesForAllAccounts
|
ApiResponse<List<Resource>> |
showResourcesForAllAccountsWithHttpInfo()
Lists resources within an organization account.
|
ApiResponse<List<Resource>> |
showResourcesForAllAccountsWithHttpInfo(String account,
String kind,
String search,
Integer offset,
Integer limit,
Boolean count,
String role,
String actingAs,
String xRequestId)
Lists resources within an organization account.
|
List<Resource> |
showResourcesForKind(String account,
String kind)
Lists resources of the same kind within an organization account.
|
List<Resource> |
showResourcesForKind(String account,
String kind,
String search,
Integer offset,
Integer limit,
Boolean count,
String role,
String actingAs,
String xRequestId)
Lists resources of the same kind within an organization account.
|
okhttp3.Call |
showResourcesForKindAsync(String account,
String kind,
String search,
Integer offset,
Integer limit,
Boolean count,
String role,
String actingAs,
String xRequestId,
ApiCallback<List<Resource>> _callback)
Lists resources of the same kind within an organization account.
|
okhttp3.Call |
showResourcesForKindCall(String account,
String kind,
String search,
Integer offset,
Integer limit,
Boolean count,
String role,
String actingAs,
String xRequestId,
ApiCallback _callback)
Build call for showResourcesForKind
|
ApiResponse<List<Resource>> |
showResourcesForKindWithHttpInfo(String account,
String kind)
Lists resources of the same kind within an organization account.
|
ApiResponse<List<Resource>> |
showResourcesForKindWithHttpInfo(String account,
String kind,
String search,
Integer offset,
Integer limit,
Boolean count,
String role,
String actingAs,
String xRequestId)
Lists resources of the same kind within an organization account.
|
ApiResponse<Resource> |
showResourceWithHttpInfo(String account,
String kind,
String identifier)
Shows a description of a single resource.
|
ApiResponse<Resource> |
showResourceWithHttpInfo(String account,
String kind,
String identifier,
Boolean permittedRoles,
String privilege,
Boolean check,
String role,
String xRequestId)
Shows a description of a single resource.
|
public ResourcesApi()
public ResourcesApi(ApiClient apiClient)
public ApiClient getApiClient()
public void setApiClient(ApiClient apiClient)
public okhttp3.Call showResourceCall(String account, String kind, String identifier, Boolean permittedRoles, String privilege, Boolean check, String role, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the resource for which to get the information about (required)permittedRoles - Lists the roles which have the named privilege on a resource. (optional)privilege - Level of privilege to filter on. Can only be used in combination with `permitted_roles` or `check` parameter. (optional)check - Check whether a role has a privilege on a resource. (optional)role - Role to check privilege on. Can only be used in combination with `check` parameter. (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response body contains the list of role memberships or permitted roles | - |
| 204 | Permissions check was successful | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public Resource showResource(String account, String kind, String identifier, Boolean permittedRoles, String privilege, Boolean check, String role, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the resource for which to get the information about (required)permittedRoles - Lists the roles which have the named privilege on a resource. (optional)privilege - Level of privilege to filter on. Can only be used in combination with `permitted_roles` or `check` parameter. (optional)check - Check whether a role has a privilege on a resource. (optional)role - Role to check privilege on. Can only be used in combination with `check` parameter. (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains the list of role memberships or permitted roles | - |
| 204 | Permissions check was successful | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public Resource showResource(String account, String kind, String identifier) throws ApiException
account - Organization account namekind - Type of resourceidentifier - ID of the resource for which to get the information aboutApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains the list of role memberships or permitted roles | - |
| 204 | Permissions check was successful | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<Resource> showResourceWithHttpInfo(String account, String kind, String identifier, Boolean permittedRoles, String privilege, Boolean check, String role, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the resource for which to get the information about (required)permittedRoles - Lists the roles which have the named privilege on a resource. (optional)privilege - Level of privilege to filter on. Can only be used in combination with `permitted_roles` or `check` parameter. (optional)check - Check whether a role has a privilege on a resource. (optional)role - Role to check privilege on. Can only be used in combination with `check` parameter. (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains the list of role memberships or permitted roles | - |
| 204 | Permissions check was successful | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<Resource> showResourceWithHttpInfo(String account, String kind, String identifier) throws ApiException
account - Organization account namekind - Type of resourceidentifier - ID of the resource for which to get the information aboutApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains the list of role memberships or permitted roles | - |
| 204 | Permissions check was successful | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call showResourceAsync(String account, String kind, String identifier, Boolean permittedRoles, String privilege, Boolean check, String role, String xRequestId, ApiCallback<Resource> _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the resource for which to get the information about (required)permittedRoles - Lists the roles which have the named privilege on a resource. (optional)privilege - Level of privilege to filter on. Can only be used in combination with `permitted_roles` or `check` parameter. (optional)check - Check whether a role has a privilege on a resource. (optional)role - Role to check privilege on. Can only be used in combination with `check` parameter. (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response body contains the list of role memberships or permitted roles | - |
| 204 | Permissions check was successful | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call showResourcesForAccountCall(String account, String kind, String search, Integer offset, Integer limit, Boolean count, String role, String actingAs, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (optional)search - Filter resources based on this value by name (optional)offset - When listing resources, start at this item number. (optional)limit - When listing resources, return up to this many results. (optional)count - When listing resources, if `true`, return only the count of the results. (optional)role - Retrieves the resources list for a different role if the authenticated role has access (optional)actingAs - Retrieves the resources list for a different role if the authenticated role has access (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public List<Resource> showResourcesForAccount(String account, String kind, String search, Integer offset, Integer limit, Boolean count, String role, String actingAs, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (optional)search - Filter resources based on this value by name (optional)offset - When listing resources, start at this item number. (optional)limit - When listing resources, return up to this many results. (optional)count - When listing resources, if `true`, return only the count of the results. (optional)role - Retrieves the resources list for a different role if the authenticated role has access (optional)actingAs - Retrieves the resources list for a different role if the authenticated role has access (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public List<Resource> showResourcesForAccount(String account) throws ApiException
account - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<List<Resource>> showResourcesForAccountWithHttpInfo(String account, String kind, String search, Integer offset, Integer limit, Boolean count, String role, String actingAs, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (optional)search - Filter resources based on this value by name (optional)offset - When listing resources, start at this item number. (optional)limit - When listing resources, return up to this many results. (optional)count - When listing resources, if `true`, return only the count of the results. (optional)role - Retrieves the resources list for a different role if the authenticated role has access (optional)actingAs - Retrieves the resources list for a different role if the authenticated role has access (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<List<Resource>> showResourcesForAccountWithHttpInfo(String account) throws ApiException
account - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call showResourcesForAccountAsync(String account, String kind, String search, Integer offset, Integer limit, Boolean count, String role, String actingAs, String xRequestId, ApiCallback<List<Resource>> _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (optional)search - Filter resources based on this value by name (optional)offset - When listing resources, start at this item number. (optional)limit - When listing resources, return up to this many results. (optional)count - When listing resources, if `true`, return only the count of the results. (optional)role - Retrieves the resources list for a different role if the authenticated role has access (optional)actingAs - Retrieves the resources list for a different role if the authenticated role has access (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call showResourcesForAllAccountsCall(String account, String kind, String search, Integer offset, Integer limit, Boolean count, String role, String actingAs, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (optional)kind - Type of resource (optional)search - Filter resources based on this value by name (optional)offset - When listing resources, start at this item number. (optional)limit - When listing resources, return up to this many results. (optional)count - When listing resources, if `true`, return only the count of the results. (optional)role - Retrieves the resources list for a different role if the authenticated role has access (optional)actingAs - Retrieves the resources list for a different role if the authenticated role has access (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public List<Resource> showResourcesForAllAccounts(String account, String kind, String search, Integer offset, Integer limit, Boolean count, String role, String actingAs, String xRequestId) throws ApiException
account - Organization account name (optional)kind - Type of resource (optional)search - Filter resources based on this value by name (optional)offset - When listing resources, start at this item number. (optional)limit - When listing resources, return up to this many results. (optional)count - When listing resources, if `true`, return only the count of the results. (optional)role - Retrieves the resources list for a different role if the authenticated role has access (optional)actingAs - Retrieves the resources list for a different role if the authenticated role has access (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public List<Resource> showResourcesForAllAccounts() throws ApiException
ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<List<Resource>> showResourcesForAllAccountsWithHttpInfo(String account, String kind, String search, Integer offset, Integer limit, Boolean count, String role, String actingAs, String xRequestId) throws ApiException
account - Organization account name (optional)kind - Type of resource (optional)search - Filter resources based on this value by name (optional)offset - When listing resources, start at this item number. (optional)limit - When listing resources, return up to this many results. (optional)count - When listing resources, if `true`, return only the count of the results. (optional)role - Retrieves the resources list for a different role if the authenticated role has access (optional)actingAs - Retrieves the resources list for a different role if the authenticated role has access (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<List<Resource>> showResourcesForAllAccountsWithHttpInfo() throws ApiException
ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call showResourcesForAllAccountsAsync(String account, String kind, String search, Integer offset, Integer limit, Boolean count, String role, String actingAs, String xRequestId, ApiCallback<List<Resource>> _callback) throws ApiException
account - Organization account name (optional)kind - Type of resource (optional)search - Filter resources based on this value by name (optional)offset - When listing resources, start at this item number. (optional)limit - When listing resources, return up to this many results. (optional)count - When listing resources, if `true`, return only the count of the results. (optional)role - Retrieves the resources list for a different role if the authenticated role has access (optional)actingAs - Retrieves the resources list for a different role if the authenticated role has access (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call showResourcesForKindCall(String account, String kind, String search, Integer offset, Integer limit, Boolean count, String role, String actingAs, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (required)search - Filter resources based on this value by name (optional)offset - When listing resources, start at this item number. (optional)limit - When listing resources, return up to this many results. (optional)count - When listing resources, if `true`, return only the count of the results. (optional)role - Retrieves the resources list for a different role if the authenticated role has access (optional)actingAs - Retrieves the resources list for a different role if the authenticated role has access (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public List<Resource> showResourcesForKind(String account, String kind, String search, Integer offset, Integer limit, Boolean count, String role, String actingAs, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (required)search - Filter resources based on this value by name (optional)offset - When listing resources, start at this item number. (optional)limit - When listing resources, return up to this many results. (optional)count - When listing resources, if `true`, return only the count of the results. (optional)role - Retrieves the resources list for a different role if the authenticated role has access (optional)actingAs - Retrieves the resources list for a different role if the authenticated role has access (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public List<Resource> showResourcesForKind(String account, String kind) throws ApiException
account - Organization account namekind - Type of resourceApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<List<Resource>> showResourcesForKindWithHttpInfo(String account, String kind, String search, Integer offset, Integer limit, Boolean count, String role, String actingAs, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (required)search - Filter resources based on this value by name (optional)offset - When listing resources, start at this item number. (optional)limit - When listing resources, return up to this many results. (optional)count - When listing resources, if `true`, return only the count of the results. (optional)role - Retrieves the resources list for a different role if the authenticated role has access (optional)actingAs - Retrieves the resources list for a different role if the authenticated role has access (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<List<Resource>> showResourcesForKindWithHttpInfo(String account, String kind) throws ApiException
account - Organization account namekind - Type of resourceApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call showResourcesForKindAsync(String account, String kind, String search, Integer offset, Integer limit, Boolean count, String role, String actingAs, String xRequestId, ApiCallback<List<Resource>> _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (required)search - Filter resources based on this value by name (optional)offset - When listing resources, start at this item number. (optional)limit - When listing resources, return up to this many results. (optional)count - When listing resources, if `true`, return only the count of the results. (optional)role - Retrieves the resources list for a different role if the authenticated role has access (optional)actingAs - Retrieves the resources list for a different role if the authenticated role has access (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response body contains a list of resources | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 422 | A request parameter was either missing or invalid. | - |
Copyright © 2023. All rights reserved.